// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2009
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL
/*
var rdfSvc = Components.classes["@mozilla.org/rdf/rdf-service;1"]
                       .getService(Components.interfaces.nsIRDFService);

var peopleFile = Components.classes["@mozilla.org/file/directory_service;1"]
                           .getService(Components.interfaces.nsIProperties)
                           .get("ProfD", Components.interfaces.nsIFile);
peopleFile.append("flock-people.sqlite");

var ioSvc = Components.classes["@mozilla.org/network/io-service;1"]
                      .getService(Components.interfaces.nsIIOService);
var fh = ioSvc.getProtocolHandler("file")
              .QueryInterface(Components.interfaces.nsIFileProtocolHandler);

var peeps = rdfSvc.GetDataSourceBlocking(fh.getURLSpecFromFile(peopleFile));

var loader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
                       .getService(Components.interfaces.mozIJSSubScriptLoader);

var context = {};

var baseCoopUrl = "chrome://flock/content/common/favorites-coop.js";
var peopleCoopUrl = "chrome://flock/content/common/people-coop.js";

loader.loadSubScript("chrome://flock/content/common/coop.js", context);

var __singleton__ = new context.Coop(peeps, baseCoopUrl);
__singleton__.addSchema(peopleCoopUrl);
*/
